Subject: bug#11393: Numeric prefix for gnus-group-jump-to-group broken

From: Julien Danjou <[email-masked]>
Date: Fri, 04 May 2012 10:36:29 +0200

On Wed, May 02 2012, Reiner Steib wrote:

> using an alist in `gnus-group-jump-to-group-prompt' stopped working
> for me after updating from Emacs 23.3 to current Emacs trunk (most
> probably also in Emacs 24 (pretest)).
>
> Recipe:
>
>   $ emacs -Q
>
>   Eval: (setq gnus-group-jump-to-group-prompt '((22 "gmane.")))

This is wrong, see the docstring:

--8<---------------cut here---------------start------------->8---
If it is an alist, it must consist of (NUMBER .  PROMPT) pairs, for example:
((1 .  "") (2 .  "nnfolder+archive:")).  The element with number 0 is
used when no prefix argument is given to `gnus-group-jump-to-group'.
--8<---------------cut here---------------end--------------->8---

You miss a dot.

This is not related to my change. :)

Cheers,
-- 
           Julien